SoPointSizeElement(3)

NAME
SoPointSizeElement - The SoPointSizeElement changes the point size setting of the render state.

SYNOPSIS

#include <Inventor/elements/SoPointSizeElement.h>

Inherits SoFloatElement.

Inherited by SoGLPointSizeElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float pointSize)
static void set (SoState *const state, const float pointSize)
static float get (SoState *const state)
static float getDefault ()

  Protected Member Functions
virtual ~SoPointSizeElement ()

  Additional Inherited Members

Detailed Description

The SoPointSizeElement changes the point size setting of the render state. Requests from the scene graph to change the point size when rendering point primitives will be made through this element.

The SoPointSizeElement class itself is just a generic abstraction for the underlying So*PointSizeElement classes with code specific for each supported immediate mode rendering library.

Constructor & Destructor Documentation

  SoPointSizeElement::~SoPointSizeElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPointSizeElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoPointSizeElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoPointSizeElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoPointSizeElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoPointSizeElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for point size is 0.0.

Reimplemented from SoFloatElement.

Reimplemented in SoGLPointSizeElement.

  void SoPointSizeElement::set (SoState *const state, SoNode *const node, const float pointSize) [static]
Static method for setting the current pointSize value in the given traversal state.

  void SoPointSizeElement::set (SoState *const state, const float pointSize) [static]
Static method for setting the current pointSize value in the given traversal state.

  float SoPointSizeElement::get (SoState *const state) [static]
Static method for returning the current point size setting in the given traversal state.

  float SoPointSizeElement::getDefault (void) [static]
Returns default point size setting.

Author

Generated automatically by Doxygen for Coin from the source code.